# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetDelegationTokenResp

Packages that use TGetDelegationTokenResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetDelegationTokenResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetDelegationTokenResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetDelegationToken_call`
`static class`
`TCLIService.AsyncProcessor.GetDelegationToken<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetDelegationTokenResp
Modifier and Type
Class
Description
`class`
`TGetDelegationTokenResp`
`class`
`TGetDelegationTokenResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetDelegationTokenResp
Modifier and Type
Field
Description
`TGetDelegationTokenResp`
TCLIService.GetDelegationToken_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetDelegationTokenResp
Modifier and Type
Method
Description
`TGetDelegationTokenResp`
TGetDelegationTokenResp.`deepCopy()`
`TGetDelegationTokenResp`
TCLIService.Client.`GetDelegationToken(TGetDelegationTokenReq req)`
`TGetDelegationTokenResp`
TCLIService.Iface.`GetDelegationToken(TGetDelegationTokenReq req)`
`TGetDelegationTokenResp`
TCLIService.AsyncClient.GetDelegationToken_call.`getResult()`
`TGetDelegationTokenResp`
TCLIService.GetDelegationToken_result.`getSuccess()`
`TGetDelegationTokenResp`
TCLIService.Client.`recv_GetDelegationToken()`
`TGetDelegationTokenResp`
TGetDelegationTokenResp.`setDelegationToken(String delegationToken)`
`TGetDelegationTokenResp`
TGetDelegationTokenResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetDelegationTokenResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp>`
TCLIService.AsyncProcessor.GetDelegationToken.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetDelegationTokenResp
Modifier and Type
Method
Description
`int`
TGetDelegationTokenResp.`compareTo(TGetDelegationTokenResp other)`
`boolean`
TGetDelegationTokenResp.`equals(TGetDelegationTokenResp that)`
`TCLIService.GetDelegationToken_result`
TCLIService.GetDelegationToken_result.`setSuccess(TGetDelegationTokenResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetDelegationTokenResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetDelegationToken(TGetDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetDelegationToken(TGetDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetDelegationToken.`start(I iface, TCLIService.GetDelegationToken_args args, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetDelegationTokenResp
Modifier
Constructor
Description
``
`GetDelegationToken_result(TGetDelegationTokenResp success)`
``
`TGetDelegationTokenResp(TGetDelegationTokenResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetDelegationTokenResp
Modifier
Constructor
Description
``
`GetDelegationToken_call(TGetDelegationTokenReq req, org.apache.thrift.async.AsyncMethodCallback<TGetDelegationTokenResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`